Debian Bug report logs - #226138
aide: Aide does not report a meaningful error status

version graph

Package: aide; Maintainer for aide is Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>; Source for aide is src:aide.

Reported by: Tim Freeman <tim@fungible.com>

Date: Sun, 4 Jan 2004 19:03:06 UTC

Severity: wishlist

Tags: confirmed

Found in version 0.10-1

Fixed in version aide/0.13.1-3

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#226138; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Tim Freeman <tim@fungible.com>:
New Bug report received and forwarded. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Freeman <tim@fungible.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aide: Aide does not report a meaningful error status
Date: Sun, 04 Jan 2004 10:21:05 -0800
Package: aide
Version: 0.10-1
Severity: wishlist


Aide should return different error statuses depending on whether
differences were found.  Since aide always generates output now, and
the exit status is meaningless, in the present situation I have to go
parse the output to determine whether any checksums changed or not.
Here's some terminal dialogue illustrating the problem.  The error is
highlighted with "<<<".

lobus:/tmp> cat aide.conf
database=file:/tmp/aide.db
database_new=file:/tmp/aide.db.new
database_out=file:/tmp/aide.db.new
@@define MAILTO root
@@define LINES 1000
Binlib =     p+i+n+u+g+s+b+m+c+md5+sha1
/tmp/foo Binlib
lobus:/tmp> aide -c aide.conf --init

AIDE, version 0.10

### AIDE database initialized.

lobus:/tmp> aide -c aide.conf --check

AIDE, version 0.10

### All files match AIDE database.  Looks okay!

lobus:/tmp> echo $status
0
lobus:/tmp> echo bozzo > /tmp/foo/bozzo
lobus:/tmp> aide -c aide.conf --check
AIDE found differences between database and filesystem!!
Start timestamp: 2004-01-04 10:17:06
Summary:
Total number of files=6,added files=1,removed files=0,changed files=1

Added files:
added:/tmp/foo/bozzo
Changed files:
changed:/tmp/foo
Detailed information about changes:

Directory: /tmp/foo
  Mtime    : 2004-01-04 10:13:44               , 2004-01-04 10:17:04               
  Ctime    : 2004-01-04 10:13:44               , 2004-01-04 10:17:04               
lobus:/tmp> echo $status
0 <<< Should have been nonzero
lobus:/tmp> 

-- System Information:
Debian Release: 3.0
Architecture: i386
Kernel: Linux lobus.fungible.com 2.4.22-escnobnk #8 Sun Dec 21 05:16:05 PST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages aide depends on:
ii  debconf          1.3.22                  Debian configuration management sy
ii  libc6            2.3.2.ds1-10            GNU C Library: Shared libraries an
ii  mailx            1:8.1.2-0.20020411cvs-1 A simple mail user agent.

-- debconf information:
* aide/aideinit: false
  aide/mustaideinit: 
* aideinit/copynew: true
  aideinit/overwritenew: true
  aide/newlibdir: false
* aide/setmailaddress: 
  aideinit/warnnew: 




Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#226138; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #10 received at 226138@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Tim Freeman <tim@fungible.com>, 226138@bugs.debian.org, 226138-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#226138: aide: Aide does not report a meaningful error status
Date: Tue, 25 Oct 2005 12:50:32 +0200
tags #226138 upstream
thanks

On Sun, Jan 04, 2004 at 10:21:05AM -0800, Tim Freeman wrote:
> Aide should return different error statuses depending on whether
> differences were found.  Since aide always generates output now, and
> the exit status is meaningless, in the present situation I have to go
> parse the output to determine whether any checksums changed or not.

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: upstream Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tim Freeman <tim@fungible.com>:
Bug#226138. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mike Markley <mike@markley.org>:
Bug#226138; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Mike Markley <mike@markley.org>. Full text and rfc822 format available.

Message #20 received at 226138@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Tim Freeman <tim@fungible.com>, 226138@bugs.debian.org, 226138-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#226138: aide: Aide does not report a meaningful error status
Date: Tue, 25 Oct 2005 20:33:04 +0200
forwarded #226138 https://sourceforge.net/tracker/index.php?func=detail&aid=1337726&group_id=86976&atid=581582
thanks


-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337726&group_id=86976&atid=581582. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tim Freeman <tim@fungible.com>:
Bug#226138. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#226138; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 226138@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Tim Freeman <tim@fungible.com>, 226138@bugs.debian.org, 226138-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#226138: aide: Aide does not report a meaningful error status
Date: Tue, 12 Dec 2006 17:39:03 +0100
tags #226138 - upstream
tags #226138 confirmed
notforwarded #226138
thanks

On Sun, Jan 04, 2004 at 10:21:05AM -0800, Tim Freeman wrote:
> Aide should return different error statuses depending on whether
> differences were found.  Since aide always generates output now, and
> the exit status is meaningless, in the present situation I have to go
> parse the output to determine whether any checksums changed or not.

This has now changed upstream with 0.13:
DIAGNOSTICS
       Normally,  the  exit status is 0 if no errors occurred. Except when the
       --check command was requested, in which case the exit status is defined
       as:

       1 * (new files detected?)     +

       2 * (removed files detected?) +

       4 * (changed files detected?)

       Additionally,  the  following  exit codes are defined for generic error
       conditions:

       14 Error writing error

       15 Invalid argument error

       16 Unimplemented function error

       17 Invalid configureline error

       18 IO error

I am thus removing the upstream and forwarded markers.

I am not closing the bug, since aide.wrapper does not yet hand the
exit code down to the calling code (making the exit code only useable
if you call aide directly with your own configuration), and the cron
job still parses the output instead of relying on the exit code.

Expect both of these things to change RSN, and expect this bug to be
(finally) closed soon.

Thanks for your patience.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags removed: upstream Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug had been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=1337726&group_id=86976&atid=581582. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tim Freeman <tim@fungible.com>:
Bug#226138. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>:
Bug#226138; Package aide. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #44 received at 226138@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Marc Haber <mh+debian-packages@zugschlus.de>, 226138@bugs.debian.org, 226138-submitter@bugs.debian.org
Cc: Tim Freeman <tim@fungible.com>
Subject: Re: Bug#226138: aide: Aide does not report a meaningful error status
Date: Mon, 15 Jan 2007 11:53:47 +0100
tags #226138 pending
thanks

On Tue, Dec 12, 2006 at 05:39:03PM +0100, Marc Haber wrote:
> I am not closing the bug, since aide.wrapper does not yet hand the
> exit code down to the calling code (making the exit code only useable
> if you call aide directly with your own configuration), and the cron
> job still parses the output instead of relying on the exit code.
> 
> Expect both of these things to change RSN, and expect this bug to be
> (finally) closed soon.

I have implemented this and committed to svn.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: pending Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tim Freeman <tim@fungible.com>:
Bug#226138. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tim Freeman <tim@fungible.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 226138-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 226138-close@bugs.debian.org
Subject: Bug#226138: fixed in aide 0.13.1-3
Date: Wed, 17 Jan 2007 11:17:02 +0000
Source: aide
Source-Version: 0.13.1-3

We believe that the bug you reported is fixed in the latest version of
aide, which is due to be installed in the Debian FTP archive:

aide_0.13.1-3.diff.gz
  to pool/main/a/aide/aide_0.13.1-3.diff.gz
aide_0.13.1-3.dsc
  to pool/main/a/aide/aide_0.13.1-3.dsc
aide_0.13.1-3_i386.deb
  to pool/main/a/aide/aide_0.13.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 226138@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated aide package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Jan 2007 11:48:00 +0100
Source: aide
Binary: aide aide-config-zg2
Architecture: source i386
Version: 0.13.1-3
Distribution: unstable
Urgency: low
Maintainer: Aide Maintainers <pkg-aide-maintainers@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 aide       - Advanced Intrusion Detection Environment
Closes: 226138 406206 407247
Changes: 
 aide (0.13.1-3) unstable; urgency=low
 .
   * add trailing slash to home directory in zg2 rules to avoid
     unexpected prefix
   * Adapt 31_aide_ifupdown rule: ifstate has moved to /etc/network/run
     and might be hidden behind a symlink. Leave option to select sarge
     behavior.
   * refactor cron job to handle lock files and cleanup better.
     Thanks to Matthijs van Aalten. Closes: #406206
   * aide.conf.d/31_aide_modules: Allow hyphens in kernel version number.
   * Have aide wrapper hand through aide's return code.
   * have aideinit and cron job do useful things with aide's return code.
     Closes: #226138
   * debian/copyright: Add myself as co-maintainer
   * 31_aide_syslog: Add user.log to syslog file list.
     Thanks to Tim Stoop. Closes: #407247
Files: 
 4509e5489d256207233beaa8e809b369 826 admin optional aide_0.13.1-3.dsc
 f8d370c03b07828d18dc24825b30b8d7 50806 admin optional aide_0.13.1-3.diff.gz
 03dc19299604f501cc127160f072ea76 550302 admin optional aide_0.13.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFFrgPxgZalRGu6PIQRAi9CAKC4PxIXXUSRHsD2uAoPdQdLJia48gCbBhIY
qmaZNakFLN2qFpAezOSSS+w=
=hdlp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 06:36:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:09:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.